Create Sentinel Bundle

Create Sentinel Bundle
Create sentinel bundle

Create sentinel bundle

Request
URI
POST
https://{server}/hybridity/api/sentinelBundles
COPY
Request Body

Create sentinel bundle request body

createSentinelBundleRequest of type(s) application/json
Required
{
    "osType": "string",
    "sgwApplianceId": "string"
}
string
osType
Optional

OS type for which you want to generate the sentinel bundle.

Possible values are : windows, linux,
string
sgwApplianceId
Optional

Id of Sentinel Gateway(SGW) whoose bundle is to be generated. The Id can be obtained from Interconnect service mesh appliance list API.

Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns createSentinelBundleSuccessResponse of type(s) application/json
{
    "taskId": "string"
}
string
taskId
Optional

Id of sentinel bundle generation task. API /hybridity/api/sentinelBundles/tasks/{taskId} can be used to track progress of the task. Download link will be available once task is completed.


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

405

Method Not Allowed

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
"errorResponse Object"
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/sentinelBundles